/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#define RESULTADO 2

void Main::init ()
{
    for ( int i = 0; i < pageCount () ; i++ )
    {
	setHelpEnabled( page ( i ), false );
    }
    
    setFinishEnabled( page ( pageCount () - 1 ), true );
    lineEdit->setMaxLength ( varCount->value() );
}

bool Main::inputControl ( const QString &s )
{
    if ( s.length () != varCount->value () )
	return false;
    for ( uint i = 0; i < s.length (); i++ )
    {
	if ( ! ( s[i] == '0' || s[i] == '1' ) )
	    return false;
    }
    return true;
}

void Main::setInputLength ()
{
    lineEdit->clear();
    lineEdit->setMaxLength ( varCount->value() );
}

void Main::agregar ()
{
    if ( inputControl ( lineEdit->text() ) )
    {
	list->insertItem ( lineEdit->text() ) ;
	lineEdit->clear();
	varCount->setDisabled ( true );
    }    
    lineEdit->setFocus();
}

void Main::eliminar ()
{
    list->removeItem ( list->currentItem () );
    if ( ! list->count () )
	varCount->setEnabled ( true );
}

void Main::clearList ()
{
    list->clear();
    varCount->setEnabled ( true );
}

#include <string.h>
void Main::next  ()
{
    QWizard::next();
    //QMessageBox::information ( this, "HOLA", QString::QString("%1").arg( indexOf (currentPage() ) ) );
    if ( indexOf ( currentPage () ) == RESULTADO )
    {
	result->clear();
	q.setSize ( varCount->value () );
	for ( int i = 0; i < list->count() ; i++ )
	{
	    q.add ( list->text (i).latin1() );
	}
	q.doQuine ();
	///char r[ varCount->value() + 1 ];
	while ( const char * r = q.resultado() )
	{
	    result->insertItem ( QString::QString("%1").arg( r ) );
	}
    }
}
